﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Uploading Endpoints using File Based Import</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Endpoints using File Based Import</h1>
        <p>The <strong>Upload Endpoint</strong>&#160;option&#160;enables you&#160;to upload new endpoints using a CSV file. IGA provides a&#160;<a href="../../Resources/Attachments/Endpoints detail import_sample.xlsx">sample xlsx file</a>&#160;containing example values for endpoints. To upload endpoints, download this file to your server, modify its details, and upload it to IGA.&#160;The sample file includes different categories to specify the endpoint details:&#160;</p>
        <ul>
            <li>
                <p><strong>Endpoints: </strong>Specify the name of the new endpoint to be associated with the security system. You can also specify the account name rule, owner type, owner, and connection configuration.<br />For more information about the fields in the sample file, see <MadCap:xref href="Creating-Endpoints.htm#top">Creating Endpoints</MadCap:xref>.</p>
            </li>
            <li>
                <p><strong>Entitlement_Types:&#160;</strong>Specify the type of entitlement to be associated with the new endpoint. You can also specify custom property details, set a certifiable option, request option, and <strong>REQUIRED-STANDARD</strong> option.</p>
            </li>
            <li>
                <p><strong>Entitlement_Values: </strong>Specify the entitlement value to be associated with the new endpoint. You can also specify the entitlement ID, custom property details, set entitlement status, specify the severity values for&#160;Sox Critical, Sys Critical, privileged, confidentiality, and set SOD flag.</p>
            </li>
            <li>
                <p><strong>Entitlement_values_Mapping: </strong>Specify the parent-child relationship of entitlements for the new endpoint.</p>
            </li>
        </ul>
        <p>To upload an endpoint, perform the following steps:</p>
        <ol>
            <li>Click <strong>Admin &gt; Identity Repository &gt; Security Systems &gt; Endpoints</strong>.</li>
            <li>
                <p>Select an endpoint.</p>
            </li>
            <li>
                <p>Click <strong>Action &gt; Upload Endpoint</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Select File to Import Endpoint</strong>&#160;pop-up window that displays, click<strong> Select</strong> to upload the CSV file with endpoint details.&#160;<br />The name of the file is displayed after the file is uploaded.</p>
            </li>
            <li>Click <strong>Submit</strong>.</li>
            <li>If the upload is successful, the newly uploaded endpoint is added to the system.</li>
            <li>To view the endpoint details, go to <strong>Admin &gt; Identity Repository &gt; Security Systems &gt; Endpoints</strong>.</li>
        </ol>
    </body>
</html>